Loading...
Searching...
No Matches
Magick::floodFillColorImage Class Reference

## Public Member Functions

| floodFillColorImage (const Geometry &point_, const Color &fillColor_, const bool invert_=false)
| floodFillColorImage (const ::ssize_t x_, const ::ssize_t y_, const Color &fillColor_, const bool invert_=false)
| floodFillColorImage (const Geometry &point_, const Color &fillColor_, const Color &borderColor_, const bool invert_=false)
| floodFillColorImage (const ::ssize_t x_, const ::ssize_t y_, const Color &fillColor_, const Color &borderColor_, const bool invert_=false)
void | operator() (Image &image_) const

## Private Attributes

::ssize_t | _x
::ssize_t | _y
Color | _fillColor
Color | _borderColor
bool | _invert

## Detailed Description

Definition at line 478 of file STL.h.

## Constructor & Destructor Documentation

## floodFillColorImage() [1/2]

Magick::floodFillColorImage::floodFillColorImage | ( | const Geometry & | point_,
|  | const Color & | fillColor_,
|  | const bool | invert_ = `false`
| ) |  |

Definition at line 433 of file STL.cpp.

: _x(point_.xOff()),
_y(point_.yOff()),
_fillColor(fillColor_),
_borderColor(),
_invert(invert_)
{
}

## floodFillColorImage() [2/2]

Magick::floodFillColorImage::floodFillColorImage | ( | const Geometry & | point_,
|  | const Color & | fillColor_,
|  | const Color & | borderColor_,
|  | const bool | invert_ = `false`
| ) |  |

Definition at line 455 of file STL.cpp.

: _x(point_.xOff()),
_y(point_.yOff()),
_fillColor(fillColor_),
_borderColor(borderColor_),
_invert(invert_)
{
}

## Member Function Documentation

## operator()()

void Magick::floodFillColorImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 464 of file STL.cpp.

{
if (_borderColor.isValid())
image_.floodFillColor(_x,_y,_fillColor,_borderColor,_invert);
else
image_.floodFillColor(_x,_y,_fillColor,_invert);
}

## Field Documentation

## _borderColor

Color Magick::floodFillColorImage::_borderColor

private

Definition at line 505 of file STL.h.

## _fillColor

Color Magick::floodFillColorImage::_fillColor

private

Definition at line 504 of file STL.h.

## _invert

bool Magick::floodFillColorImage::_invert

private

Definition at line 506 of file STL.h.

## _x

::ssize_t Magick::floodFillColorImage::_x

private

Definition at line 502 of file STL.h.

## _y

::ssize_t Magick::floodFillColorImage::_y

private

Definition at line 503 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp